petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDualSpaceSetType

Builds a particular PetscDualSpace

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSetType(PetscDualSpace sp, PetscDualSpaceType name)

Collective on sp

### Input Parameters

| sp | - The PetscDualSpace object
| name | - The kind of space

### Options Database Key

-petscdualspace_type <type> -Sets the PetscDualSpace type; use -help for a list of available types

### See Also

PetscDualSpaceGetType(), PetscDualSpaceCreate()

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages